#ifndef DIALOG_H
#define DIALOG_H

#include &lt;QDialog&gt;
#include &lt;QSerialPort&gt;
#include &lt;QByteArray&gt;


namespace Ui {
class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

private slots:
    void readSerial();
    void updateTemperature(double);
    void updateMoisture(double);
    void updateHumidity(double);

private:
    Ui::Dialog *ui;

    QSerialPort *arduino;
    static const quint16 arduino_uno_vendor_id = 9025;
    static const quint16 arduino_uno_product_id = 67;
    QByteArray serialData;
    QString serialBuffer;
    QString parsed_data1;
    QString parsed_data2;
    QString parsed_data3;
    double temperature_value;
    double moisture_value;
    double humidity_value;
};

#endif // DIALOG_H
